Skip to main content
GET
/
api
/
collections
cURL
curl --request GET \
  --url https://api.opus.pro/api/collections \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "list": [
      {
        "collectionId": "xmAwhhFi0IJt",
        "collectionName": "Opus demo clips",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "next": "<string>",
    "limit": 123
  }
}

Collection Schema

Reference the collection object included in the list response.

Get Collections Response

View the full response schema for listing collections.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
enum<string>
required

Query type q = mine means list collections of your account. q = findByContentId means list collections contained the specific content(clip).

Available options:
findByContentId,
mine
Example:

"mine"

contentId
string

If specified, will only return collections that contain the clip with this contentID.

Example:

"Q20107035eDq.CU0b92e6"

Response

data
object
required